% mk_src_wd.m - make source water depth 
% use calliope data to determine the depthe of the water at the
% source (ship) for SW06/MOMAX4

% finally made the flt files flat enough to load.
% cumbersome process.

load OC060903_00.flt
load OC060904_00.flt
xxx=[OC060903_00' OC060904_00']';

clear OC060903_00 OC060904_00

year=xxx(:,1);
mon=xxx(:,2);
day=xxx(:,3);
hr=xxx(:,4);
minit=xxx(:,5);
sec=xxx(:,6);

days = [31 28 31 30 31 30 31 31 30 31 30 31];

yearday = sum(days(1:mon-1)) + day +hr/24 +minit/24/60 + sec/24/60/60;
m_date=datenum([year,mon,day,hr,minit,sec]);

Depth12=xxx(:,7);
Depth35=xxx(:,8);
dec_lat = xxx(:,10);
dec_lon = xxx(:,11);



aa=find(yearday >= 246.8 & yearday <= 247.85);
bb=find(Depth12 ==0);
Depth12(bb)=nan;
%scatter(dec_lon(aa),dec_lat(aa),[],Depth12(aa))
figure(1)
plot(m_date(aa),Depth12(aa))
datetick('x',6)
figure(2)
scatter(dec_lon(aa),dec_lat(aa),[],Depth12(aa))

colorbar

%%%%%%%%%%%%%5
%look at the bathym we have and match it w/ these values:

bathym = 1;
%figure(1)
%clf
center_lat =  39+13/60;
center_lon = -72-55/60;
%lon_min = -73;
lon_min = -72-57/60;
lon_max = -72-48/60;
lat_min = 39+11/60;
lat_max = 39+18/60;

m_proj('mercator','lon',[lon_min lon_max],'lat',[lat_min lat_max]);

if bathym
  [s,HOST]=system('hostname');
  %load /mnt/data/seabed/SW06/Maps/swat_bath_grd
  if strcmp(HOST(1:end-1),'argyle.whoi.edu') 
    load /mnt/data/seabed/SW06/Maps/bathym_new
  elseif strcmp(HOST(1:end-1),'seabed2.whoi.edu')
    load /mnt/seabeddata/SW06/Maps/bathym_new
  end
  %loo=find(lon_g >= lon_min & lon_g <= lon_max);
  %laa=find(lat_g >= lat_min & lat_g <= lat_max);
  dvec = [70 75 80 85 90 ];
  %[c h]=m_contour(lon_g,lat_g,Z,[ 40 50 60 65 70 75 80 85 ...
  [c h]=m_contour(lon_g,lat_g,Z,dvec,'color',[.7 .7 .7]);
  %[c h]=m_contour(lon_g(loo),lat_g(laa),Z(loo,laa),dvec,'color',[.7 .7 .7]);
  %hbathlbl=m_clabel(c,h,dvec);
  %set(hbathlbl,'color',[.7 .7 .7])
  %colormap gray
end
clear H
hold on
% plot  ACDC location
H(2)=m_plot([-72-51.721/60],[39+16.138/60], ...
            'mo','markerfacecolor',[.9 .7 .9], ...
            'markeredgecolor',[.9 .7 .9], ...
            'markersize',4);

% plot moorings: 21 22 33
%21     39  13.184   72  55.315
%33     39  12.920   72  54.705
%22     39  13.387   72  54.358
H(7)=m_plot(-72-55.315/60,39+13.184/60,'x','markersize',4,'color',[.7 .7 .7]);
m_text(-72-55.315/60,39+13.184/60,' 21','fontsize',6,'color',[.7 .7 .7])
m_plot(-72-54.705/60,39+12.920/60,'x','markersize',4,'color',[.7 .7 .7])
m_text(-72-54.705/60,39+12.920/60,' 33','fontsize',6,'color',[.7 .7 .7])
m_plot(-72-54.358/60,39+13.387/60,'x','markersize',4,'color',[.7 .7 .7])
m_text(-72-54.358/60,39+13.387/60,' 22','fontsize',6,'color',[.7 .7 .7])
% source moorings
%44     39  10.8708  72  57.0387
%45     39  10.9574  72  56.575
%46     39  10.587   72  56.458
H(8)=m_plot(-72-57.0387/60,39+10.8707/60,'rx','markersize',4,'color',[.7 .7 .7]);
m_text(-72-57.0387/60,39+10.8707/60,' 44','fontsize',6,'color',[.7 .7 .7]);
m_plot(-72-56.575/60,39+10.9574/60,'rx','markersize',4,'color',[.7 .7 .7]);
m_text(-72-56.575/60,39+10.9574/60,' 45','fontsize',6,'color',[.7 .7 .7]);
m_plot(-72-57.458/60,39+10.587/60,'rx','markersize',4,'color',[.7 .7 .7]);
m_text(-72-57.458/60,39+10.587/60,' 46','fontsize',6,'color',[.7 .7 .7]);

% ship data
aa=find(yearday >= 246.8 & yearday <= 247.85);
aa=aa(1:5:end);
[x,y] = m_ll2xy(dec_lon(aa),dec_lat(aa));
scatter(x,y,[],Depth12(aa))

m_grid('linestyle',':','box','fancy','tickdir','in','linewidth',3);
%m_grid('linestyle',':','box','fancy','tickdir','in');
%m_grid('linestyle',':','box','fancy');
%m_grid('box','fancy');
%m_grid;

ht75=text(-.00055,.7467,'75','color',[.7 .7 .7]);
ht80=text(0.00035,.7467,'80','color',[.7 .7 .7]);
ht85=text(-.00058,.7435,'85','color',[.7 .7 .7]);
ht90=text(.001,.7435,'90','color',[.7 .7 .7]);
    
set(findobj('tag','m_grid_color'),'facecolor','none')
